# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`windows_http_proxy`](#windows_http_proxy): Windows HTTP Proxy

#### Private Classes

* `windows_http_proxy::config`: Configuration

## Classes

### <a name="windows_http_proxy"></a>`windows_http_proxy`

Manages Microsoft Windows HTTP proxy

#### Examples

##### 

```puppet
include windows_http_proxy
```

#### Parameters

The following parameters are available in the `windows_http_proxy` class:

* [`bypass_list`](#bypass_list)
* [`ensure`](#ensure)
* [`log_output`](#log_output)
* [`port`](#port)
* [`server`](#server)

##### <a name="bypass_list"></a>`bypass_list`

Data type: `String`

String containing the list of addresses that should not go through the proxy
Example: '<local>;*.sandbox.company.com;*.company.com;'

Default value: `'<local>'`

##### <a name="ensure"></a>`ensure`

Data type: `Enum['absent', 'present', 'unmanaged']`

denotes the desired state of the supplied proxy server
Example: 'present'

Default value: `'unmanaged'`

##### <a name="log_output"></a>`log_output`

Data type: `Boolean`

Boolean used to enable additional logging output
Example: true

Default value: ``false``

##### <a name="port"></a>`port`

Data type: `Optional[Integer]`

Denotes the port to use on the proxy server
Example: 8282

Default value: ``undef``

##### <a name="server"></a>`server`

Data type: `Optional[String]`

String containing the FQDN of the proxy server to use
Example: 'proxy.company.com'

Default value: ``undef``

